#-----------------------------------------------------------------------------
%define		dist		.ok
#-----------------------------------------------------------------------------
Name		:	libmatekbd
Version		:	1.28.0
Release		:	17.2.0.rel%{?dist}
Summary		:	A keyboard configuration library
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GLPLv2
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf-archive
BuildRequires	:	desktop-file-utils
BuildRequires	:	glib-devel
BuildRequires	:	libxklavier-devel
BuildRequires	:	mate-common
BuildRequires	:	make
BuildRequires	:	gtk3+
BuildRequires	:	gobject-introspection
BuildRequires	:	xorg-libICE

Requires	:	glib
#-----------------------------------------------------------------------------
%description
The libmaekbd package contains a MATEE library which manages
keyboard configuration and offers various widgets related to
keyboard configuration.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_includedir}/%{name}/*.h
%{_libdir}/%{name}*.so*
%{_libdir}/pkgconfig/%{name}*.pc
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/glib-2.0/schemas/org.mate.peripherals-keyboard-xkb.gschema.xml

#-----------------------------------------------------------------------------
%post
glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1

%postun
if [ "$1" = 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
  fi

#=============================================================================
%prep
%setup -q 
NOCONFIGURE=1 ./autogen.sh

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	--docdir=%{_defaultdocdir}/%{name}-%version	\
	--disable-static				\
	--with-x 					\
	--enable-introspection=yes			\
	--disable-schemas-compile			\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
  
#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
